---
# tasks file for deploy-app-with-kong

- name: Obteniendo public ip
  uri: 
    url: http://169.254.169.254/latest/meta-data/public-ipv4
    return_content: yes
  register: ip_response

- name: Creando un servicio en Kong ce
  uri:
    url: http://localhost:8001/services/ 
    method: POST
    body: "name=ServiceFlask&url=http://{{ ip_response.content }}:5000"
    status_code: 201

- name: Creando un ruta para la app en Kong ce
  uri:
    url: http://localhost:8001/services/ServiceFlask/routes
    method: POST
    body: "hosts[]=localhost&hosts[]={{ ip_response.content }}&paths[]=/api/request&strip_path=false&methods[]=GET"
    status_code: 201

- name: Validando el recurso creado en Kong ce
  uri:
    url: http://localhost:8000/api/request
    headers: 
      Host: "{{ ip_response.content }}"
    status_code: 200
